import axios from "axios";

function getCurrentTimestamp() {
    return new Date().getTime();
}

const api = 'http://nbxt.oa.x-lf.cn'

/**
 * 获取我参与的项目列表
 * 
 * @param token 访问令牌
 * @returns {Promise<AxiosResponse<any>> | *}
 */
export const  getParticipateProjectList = (token)=> {
    return axios({
        method: 'get',
        url: `${api}/project/participate/get`,
        headers: {
            'Authorization': `Bearer ${token}`,
            'Timestamp':getCurrentTimestamp()
        }
    })
}
/**
 * 获取我参与的项目的子系统列表
 * @param projectId 项目ID
 * @param token 访问令牌
 * @returns {Promise<AxiosResponse<any>> | *}
 */
export const  getParticipateSystemList = ( projectId,token)=> {
    return axios({
        method: 'get',
        url: `${api}/module/get?projectId=${projectId}`,
        headers: {
            'Authorization': `Bearer ${token}`,
            'Timestamp':getCurrentTimestamp()
        }
    })
}
/**
 * 获取我参与的项目的子模块列表
 * @param SysId 项目ID
 * @param token 访问令牌
 * @returns {Promise<AxiosResponse<any>> | *}
 */
export const  getParticipateModuleList = ( SysId,token)=> {
    return axios({
        method: 'get',
        url: `${api}/module/get/min?sysId=${SysId}`,
        headers: {
            'Authorization': `Bearer ${token}`,
            'Timestamp':getCurrentTimestamp()
        }
    })
}
/**
 * 获取我参与的项目的子模块的详细信息
 * @param ModId 项目ID
 * @param token 访问令牌
 * @returns {Promise<AxiosResponse<any>> | *}
 */
export const  getParticipateDetail = ( ModId,token)=> {
    return axios({
        method: 'get',
        url: `${api}/project/module/id?id=${ModId}`,
        headers: {
            'Authorization': `Bearer ${token}`,
            'Timestamp':getCurrentTimestamp()
        }
    })
}




